Bug 250319

Summary: security/openssh-portable: version in ports is 8.2 from 2020-02-14. Latest 8.4 version was published 2020-09-27
Product: Ports & Packages Reporter: TommiP <tommi.pernila>
Component: Individual Port(s)Assignee: Bryan Drewery <bdrewery>
Status: Closed FIXED    
Severity: Affects Some People CC: dereks, emaste, herbert, kevans, tommi.pernila
Priority: --- Flags: tommi.pernila: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   

Description TommiP 2020-10-13 13:31:00 UTC
Version in ports r8.2 is from 2020-02-14. Latest version of security/openssh-portable is 8.4 version was published 2020-09-27
https://www.openssh.com/txt/release-8.4

8.4 (and 8.3) have quite a few fixes/features for FIDO use cases.
There is also a few fixed security issues.
Comment 1 Herbert J. Skuhra 2020-10-13 13:38:56 UTC
Sorry, for being a bit off-topic: The version in base also needs an update! OpenSSH_7.9p1 :-(
Comment 2 Kyle Evans freebsd_committer 2020-10-13 14:04:04 UTC
Tagging in emaste in case he's interested; he's briefly taken over OpenSSH in base, I'm not sure if maybe there's something that would be related+useful with openssh-portable from his perspective.
Comment 3 Bryan Drewery freebsd_committer 2020-11-07 17:08:34 UTC
Working on this now
Comment 4 commit-hook freebsd_committer 2020-11-16 19:39:57 UTC
A commit references this bug:

Author: bdrewery
Date: Mon Nov 16 19:39:35 UTC 2020
New revision: 555512
URL: https://svnweb.freebsd.org/changeset/ports/555512

Log:
  - Update to 8.4p1 (skipped 8.3)

   - https://www.openssh.com/txt/release-8.3
   - https://www.openssh.com/txt/release-8.4

  PR:		239807, 250319
  Sponsored by:	Dell EMC

Changes:
  head/security/openssh-portable/Makefile
  head/security/openssh-portable/distinfo
  head/security/openssh-portable/files/extra-patch-hpn
  head/security/openssh-portable/files/patch-ssh-agent.c